Subject: Re: Universal tap device

From: Arnd Bergmann <[email-masked]>
Date: Sun, 17 Feb 2013 13:58:50 +0000

On Sunday 17 February 2013, Jiri Pirko wrote:
> 
> Sat, Feb 16, 2013 at 11:25:06PM CET, [email-masked] wrote:
> >On Saturday 16 February 2013, Jiri Pirko wrote:
> >> Sat, Feb 16, 2013 at 05:46:25PM CET, [email-masked] wrote:
> >> >On Saturday 2013-02-16 15:01, Jiri Pirko wrote:
> >> >
> >> >>Hi all.                                                                  
> >> >>                                                                         
> >> >>Looking at macvtap and thinking about the tap solutions in general,
> >> >>I think it would be handly to have some universal tap device.
> >> >
> >> >As in, allowing tuntap to register as an rx_handler for arbitrary
> >> >devices?
> >> 
> >> Essentially yes, but I was thinking without the actual netdev:
> >> not eth0 -> tap0 -> chardev
> >> but eth0 -> chardev
> >> 
> >> Not sure though if that is easily doable..
> >
> >Isn't that the same as setting up macvtap in PASSTHRU mode?
> 
> Yep, but without netdev instance. That brings some issues. Maybe the
> netdev instance should be there. Not sure.
> 

The idea of macvtap is at least that there should be no run-time
from using a separate netdev. Having the device is useful mostly
for configuration, especially with the non-passthrough modes
where you want to bind to a new mac address.

	Arnd